STRSEP(9)

NAME
strsep - Split a string into tokens

SYNOPSIS

char * strsep (char ** s, const char * ct);

ARGUMENTS

s   The string to be searched

ct  The characters to search for

DESCRIPTION

 strsep updates s to point after the token, ready for the next call.

It returns empty tokens, too, behaving exactly like the libc function of that name. In fact, it was stolen from glibc2 and de-fancy-fied. Same semantics, slimmer shape. ;)